# Functions of several variables

*Definition*: let $D \subseteq \mathbb{R}^m$ with $m>1$, and $f: D \to \mathbb{R}^n$ then $f$ is a function of several variables where:

* for $n=1$, $f$ is a scalar function,
* for $n>1$, $f$ is a vector valued function.

<br>

*Definition*: the domain convention specifies that the domain of a function of $m$ variables is the largest set of points for which the function makes sense as a real number, unless that domain is explicitly stated to be a smaller set. 

## Graphical representations of scalar valued functions

### Graphs

*Definition*: let $D \subseteq \mathbb{R}^2$ and let $f: D \to \mathbb{R}$ then $G_f := \big\{\big(x, y, f(x,y)\big) \;\big|\; (x, y) \in D\big\}$ is the graph of $f$. Observe that $G_f \subseteq \mathbb{R}^3$. 

### Level sets

*Definition*: let $D \subseteq \mathbb{R}^2$ and let $f: D \to \mathbb{R}$ then for $c \in \mathbb{R}$ we have $S_c := \big\{(x, y) \in D \;\big|\; f(x,y) = c \big\}$ is the level set of $f$. Observe that $S_c \subseteq \mathbb{R}^2$. 

